# ionoscloud\_dns\_reverse\_record

Manages a [DNS Reverse Record](https://docs.ionos.com/cloud/network-services/cloud-dns/overview).

> ⚠️ Only tokens are accepted for authorization in the **ionoscloud\_dns\_reverse\_record** resource. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

```hcl
resource "ionoscloud_ipblock" "example" {
  location = "de/fra"
  size = 1
  name = "example_ipblock"
}

resource "ionoscloud_dns_reverse_record" "recordexample" {
  name = "reverse.record.example.com"
  description = "example description"
  ip = ionoscloud_ipblock.example.ips[0]
}
```

## Argument reference

* `name` - (Required)\[string] The reverse DNS record name.
* `ip` - (Required)\[string] Specifies for which IP address the reverse record should be created. The IP addresses needs to be owned by the contract.
* `description` - (Optional)\[string] Description stored along with the reverse DNS record to describe its usage.

## Import

In order to import a DNS Reverse Record, you can define an empty DNS Reverse Record resource in the plan:

```hcl
resource "ionoscloud_dns_reverse_record" "example" {
  
}
```

The resource can be imported using the `record_id`, for example:

```shell
terraform import ionoscloud_dns_reverse_record.example record_id
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/resources/dns_reverse_record.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
